#ifndef _moyMinMax_h
#define _moyMinMax_h

#include <cmath>
#include <vector>

/* elevation a une puissance entiere */
long puiss(long a, int b);

/* calculs des min, max, moy et ecarts-type */
double mean(double* v, int i, long R);
double mean(double* v, int i, int ip, int dim, long R);
double min(double* v, long R);
double min(double* v, int i, long R);
double min(double* v, int i, int ip, int dim, long R);
double max(double* v, long R);
double max(double* v, int i, long R);
double max(double* v, int i, int ip, int dim, long R);
double sig(double* v, int i, long R);
double sig(double* v, int i, int ip, int dim, long R);

double min(std::vector<double>& v, long R);
double min(std::vector<double>& v, int i, long R);
double min(std::vector<double>& v, int i, int ip, int dim, long R);
double max(std::vector<double>& v, long R);
double max(std::vector<double>& v, int i, long R);
double max(std::vector<double>& v, int i, int ip, int dim, long R);

#endif       
